OpenVDB 13.0.0

Loading...
Searching...
No Matches
Curl< GridT, MaskGridType, InterruptT > Class Template Reference

Compute the curl of a vector grid. More...

`#include <openvdb/tools/GridOperators.h>`

## Public Types
typedef GridT | InGridType
typedef GridT | OutGridType

## Public Member Functions
| Curl (const GridT &grid, InterruptT *interrupt=nullptr)
| Curl (const GridT &grid, const MaskGridType &mask, InterruptT *interrupt=nullptr)
GridT::Ptr | process (bool threaded=true)

## Detailed Description

template<typename GridT, typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>
class openvdb::v13_0::tools::Curl< GridT, MaskGridType, InterruptT >

Compute the curl of a vector grid.

## Member Typedef Documentation

## ◆ InGridType

template<typename GridT, typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

typedef GridT InGridType

## ◆ OutGridType

template<typename GridT, typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

typedef GridT OutGridType

## Constructor & Destructor Documentation

## ◆ Curl() [1/2]

template<typename GridT, typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

Curl | ( | const GridT & | grid,
|  | InterruptT * | interrupt = nullptr )
| inline

## ◆ Curl() [2/2]

template<typename GridT, typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

Curl | ( | const GridT & | grid,
|  | const MaskGridType & | mask,
|  | InterruptT * | interrupt = nullptr )
| inline

## Member Function Documentation

## ◆ process()

template<typename GridT, typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

GridT::Ptr process | ( | bool | threaded = true | ) |
| inline